Subject: Re: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Stéphane Marks <[email-masked]>
Date: Wed, 23 Jul 2025 10:00:04 -0400

On Wed, Jul 23, 2025 at 9:37 AM Alvaro Ramirez <[email-masked]> wrote:

> Stéphane Marks <[email-masked]> writes:
>
> > On Wed, Jul 23, 2025 at 9:02 AM Alvaro Ramirez
> > <[email-masked]> wrote:
> >
> >  Eli Zaretskii <[email-masked]> writes:
> >
> >  > Thanks, but one of my previous comments, viz.:
> >  >
> >  >   This should explain better what are the indications of the
> >  >   problem.
> >  >
> >  > is still not addressed.
> >
> >  Updated PROBLEMS in
> >  0006-Enabled-macOS-dictation-post-NSTextInputClient-migration.patch.
> >  Hope that's better now.
> >
> >  >> A tiny bit of additional info with respect to roll back
> >  >> (yields
> >  >> deprecation warning) vs roll forward fix... macOS seems to
> >  >> use
> >  >> a
> >  >> different dictation mechanism after NSTextInputClient was
> >  >> introduced (Emacs v30). Attaching screenshots showing
> >  >> different
> >  >> UI
> >  >> dictation triggered by either patch.
> >  >
> >  > Could you please spell out what that means for Emacs users?
> >
> >  Not much really. This is more of a macOS implementation
> >  detail. Emacs users will get their dictation feature back,
> >  regressed in Emacs 30. Fixing the regression leads to using a
> >  newer API, which triggers a slightly different-looking UI.
> >
> > I think that's a feature of macOS which changed the UI, not a
> > function of the patch?
>
> While dictation UI is a macOS implementation detail, we do have a
> choice to patch by rolling back vs forward which would trigger one
> UI over the other (even on the same macOS version). We've so far
> agreed to roll forward (to move away from deprecated APIs).
>

Forward is good.  I see only the conventional UI on macOS 12 across all
other apps and NSTextInputClient is available since macOS 10.  I think any
commentary should say something like "visual presentation may vary across
macOS versions."